com.google.cloud.dataflow.sdk.runners.inprocess

## Interface ModelEnforcementFactory

    public interface ModelEnforcementFactory

Creates `ModelEnforcement` instances for an `AppliedPTransform` on an input `bundle`. `ModelEnforcement` instances are created before the `TransformEvaluator` is created.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> ModelEnforcement<T>` `forBundle(InProcessPipelineRunner.CommittedBundle<T> input, AppliedPTransform<?,?,?> consumer)`

### Method Detail

#### forBundle

    <T> ModelEnforcement<T> forBundle(InProcessPipelineRunner.CommittedBundle<T> input,
                                      AppliedPTransform<?,?,?> consumer)